Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface CustomParser

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenParserImplementation, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CustomParserImpl

    public interface CustomParser

extends GenParserImplementation

A representation of the model object 'Custom Parser'. Handwritten or otherwise available IParser implementation

The following features are supported:

- `Qualified Name`
- `Generate Boilerplate`

See Also:
  `GMFGenPackage.getCustomParser()`
** Generated **
Model:

Method Summary
`java.lang.String` `getQualifiedName()` Returns the value of the 'Qualified Name' attribute
`boolean` `isGenerateBoilerplate()` Returns the value of the 'Generate Boilerplate' attribute.
`void` `setGenerateBoilerplate(boolean value)` Sets the value of the '`Generate Boilerplate`' attribute
`void` `setQualifiedName(java.lang.String value)` Sets the value of the '`Qualified Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenParserImplementation
`getHolder, getUses`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQualifiedName

    java.lang.String getQualifiedName()

  Returns the value of the 'Qualified Name' attribute.

  If the meaning of the 'Qualified Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Qualified Name' attribute.
  See Also:
    `setQualifiedName(String)`, `GMFGenPackage.getCustomParser_QualifiedName()`
  ** Generated **
  Model:
    required="true"

### setQualifiedName

    void setQualifiedName(java.lang.String value)

  Sets the value of the '`Qualified Name`' attribute.

  Parameters:
    `value` - the new value of the 'Qualified Name' attribute.
  See Also:
    `getQualifiedName()`
  ** Generated **

### isGenerateBoilerplate

    boolean isGenerateBoilerplate()

  Returns the value of the 'Generate Boilerplate' attribute. The default value is `"false"`. When true, GMF generates empty implementation class suitable for further customizations

  Returns:
    the value of the 'Generate Boilerplate' attribute.
  See Also:
    `setGenerateBoilerplate(boolean)`, `GMFGenPackage.getCustomParser_GenerateBoilerplate()`
  ** Generated **
  Model:
    default="false"

### setGenerateBoilerplate

    void setGenerateBoilerplate(boolean value)

  Sets the value of the '`Generate Boilerplate`' attribute.

  Parameters:
    `value` - the new value of the 'Generate Boilerplate' attribute.
  See Also:
    `isGenerateBoilerplate()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.